CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

样式名称属性 (ActiveX)

2023-1-3 05:27| 发布者: admin| 查看: 172| 评论: 0|来自: AutoCAD

摘要: 指定用于对象的样式的名称。

指定用于对象的样式的名称。

支持的平台:仅窗口

签名

工 务 局:

object.StyleName
对象

类型:属性,属性引用Dim3点角度,Dim对齐,DimAngular,DimArc长度,DimDiametric,DimensionDimOrdinateDimRadialDimRadialDimRotatedLeaderMLeader,MLineMTextTableText,Tolerance

此属性适用的对象。

属性值

只读:不;只读对象除外MLine

类型:字符串

默认值等于当前样式。

言论

使用 theobject 更改给定文本样式的属性。使用 对象 更改给定标注样式的属性。TextStyleDimStyle

给定的名称必须已在图形中定义。

注意:对于尺寸,此属性的值存储在 DIMSTYLE 系统变量中。

例子

工 务 局:

Sub Example_StyleName()
    ' This example creates an aligned dimension and then changes the
    ' StyleName property for that dimension.

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double
    Dim point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    Dim currStyleName As String
    
    ' Define the dimension
    point1(0) = 5#: point1(1) = 3#: point1(2) = 0#
    point2(0) = 10#: point2(1) = 3#: point2(2) = 0#
    location(0) = 7.5: location(1) = 5#: location(2) = 0#

    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ZoomAll
    currStyleName = dimObj.styleName
    MsgBox "The initial StyleName for the dimension is " & dimObj.styleName, vbInformation, "TextString Example"
    
    ' Create a new dimension style
    ThisDrawing.DimStyles.Add ("NewDimensionStyle")
    
    ' Change the text string for the dimension
    dimObj.styleName = "NewDimensionStyle"
    dimObj.Update
    MsgBox "The new StyleName for the dimension is " & dimObj.styleName, vbInformation, "TextString Example"
    
    ' Reset the text string for the dimension
    dimObj.styleName = currStyleName
    dimObj.Update
    MsgBox "The StyleName for the dimension has been reset to " & dimObj.styleName, vbInformation, "TextString Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_StyleName()
    ;; This example creates an aligned dimension and then changes the
    ;; StyleName property for that dimension.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 3 0)
          point2 (vlax-3d-point 10 3 0)
          location (vlax-3d-point 7.5 5 0))

    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    (setq currStyleName (vla-get-StyleName dimObj))
    (alert (strcat "The initial StyleName for the dimension is " currStyleName))
    
    ;; Create a new dimension style
    (vla-Add (vla-get-DimStyles doc) "NewDimensionStyle")
    
    ;; Change the text string for the dimension
    (vla-put-StyleName dimObj "NewDimensionStyle")
    (vla-Update dimObj)
    (alert (strcat "The new StyleName for the dimension is " (vla-get-StyleName dimObj)))
    
    ;; Reset the text string for the dimension
    (vla-put-StyleName dimObj currStyleName)
    (vla-Update dimObj)
    (alert (strcat "The StyleName for the dimension has been reset to " (vla-get-StyleName dimObj)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 19:39

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部